<h1><%= @headline %></h1>

<h2>Securities</h2>
<% if not @securities %>
    <p>No securities exist yet.</p>
<% else %>

<fieldset id="security_create_from_symbol">
    <legend>Create new Security from Symbol</legend>
<%= form_tag({:action=>'new'}, method: :get) do %>
    <p>
     <%= text_field_tag :symbol, nil, :placeholder=>'ISIN', :class=>'symbol' %>
     <%= submit_tag 'Create' %>
    </p>
<% end %>
</fieldset>

<%= search_form_for @query, :url=>{:action=>:index}, :class=>:filter_form, :id=>:controller_filter do |f| %>
<div>
  <%= f.search_field :symbol_or_brief_or_Organization_name_cont_any, :placeholder=>'Pattern' %>
  <% true
     # f.select :id_organization_eq, options_from_collection_for_select(@organizations, :id, :name)
   %>
  <%= f.submit :filter %>

 <table>
    <tr><th colspan="2">Type of Security</th></tr>
    <% Security.types.each do |t|
       type_id_column = ('id_security_%s_gt' % t).to_sym
       %>
       <tr><td><%= check_box_tag 'q[%s]' % type_id_column,
              0,
              (if params[:q] and params[:q][type_id_column] then true else false end)
       %></td><td>
       <%= label_tag 'q[%s][]' % type_id_column, Security.describe_type(t) %></td></tr>
    <% end %>
 </table>
</div>
<% end %>


<table id='securities'>
    <thead>
    <tr>
        <th><%= smr_paginate @page, @total_pages, objects_security_index_path %></th>
        <th>Symbol</th>
        <th>Quote Retrieval</th>
        <th>Actions</th>
    </tr>
    </thead>
    <tbody>
    <% @securities.each do |s| %>
        <tr class="separaterows">
            <td <% if not s.description.blank? %>rowspan=2<% end %>>
              <% unless s.id == Smr::ID_CASH_SECURITY %>
                <%= link_to '+', edit_objects_security_path(s.id) %>
                <%= link_to '...', s.link.to_url %>
              <% end %>
              <%= s %><br/>
            </td>
            <td class="symbol"><%= s.symbol %></td>
            <td>
              <% unless s.id == Smr::ID_CASH_SECURITY %>
                <span><%= [
                    ( s.preferred_reaper.blank? ? nil : '%s is preferred' % s.preferred_reaper ),
                    ( s.preferred_reaper_delay > 0 ? 'quote changes every %s' % smr_humanize(s.preferred_reaper_delay, :seconds_for_humans=>true).split(' ',5)[0..3].join(' ') : nil ),
                ].compact.join(', ') %> </span>
               <% if s.preferred_reaper_locked %>
                <span><%= check_box_tag :preferred_reaper_locked, '1', s.preferred_reaper_locked, :disabled=>true %>reaper locked</span>
               <% end %>
               <% if s.fetch_quote %>
                <span><%= check_box_tag :fetch_quote, '1', s.fetch_quote, :disabled=>true %>fetch quote</span>
              <% end %>
               <% end %>
            </td>
            <td><%= link_to 'delete', delete_security_path(:id=>s.id) unless s.id == Smr::ID_CASH_SECURITY %></td>
        </tr>
        <% if not s.description.blank? %>
        <tr>
            <td colspan="6"><span class="comment_text"><%= s.description %></span></td>
        </tr>
        <% end %>
    <% end %>
    </tbody>
    <tfoot>
        <tr><td colspan="4"><%= link_to "Export All Data", export_securities_path(:format=>'csv') %></td></tr>
    </tfoot>
</table>
<% end %>
